#
# Conditional build:
%bcond_without	python3 # Python 3.x module

Summary:	A comprehensive HTTP client library
Summary(pl.UTF-8):	Obszerna biblioteka klienta HTTP
Name:		python-httplib2
Version:	0.12.1
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	https://github.com/httplib2/httplib2/archive/v%{version}.tar.gz
# Source0-md5:	80f4ca6c00894c54a0a9bf3a9c05d375
Patch0:		%{name}.certfile.patch
Patch1:		%{name}-0.9-proxy-http.patch
URL:		https://github.com/httplib2/httplib2
BuildRequires:	python >= 2.3
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
Requires:	ca-certificates
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A comprehensive HTTP client library, httplib2.py supports many
features left out of other HTTP libraries. Supports:
- HTTP and HTTPS
- Keep-Alive
- Authentication
- Caching
- All Methods
- Redirects
- Compression
- Lost update support
- Unit Tested

%description -l pl.UTF-8
httplib2.py to obszerna biblioteka klienta HTTP, obsługująca wiele
cech pomijanych przez inne biblioteki. Obsługuje:
- HTTP i HTTPS
- Keep-Alive
- uwierzytelnianie
- buforowanie
- wszystkie metody
- przekierowania
- kompresję
- Lost update
- podlega testom jednostkowym.

%package -n python3-httplib2
Summary:	A comprehensive HTTP client library
Summary(pl.UTF-8):	Obszerna biblioteka klienta HTTP
Group:		Development/Languages/Python

%description -n python3-httplib2
A comprehensive HTTP client library, httplib2.py supports many
features left out of other HTTP libraries. Supports:
- HTTP and HTTPS
- Keep-Alive
- Authentication
- Caching
- All Methods
- Redirects
- Compression
- Lost update support
- Unit Tested

%description -n python3-httplib2 -l pl.UTF-8
httplib2.py to obszerna biblioteka klienta HTTP, obsługująca wiele
cech pomijanych przez inne biblioteki. Obsługuje:
- HTTP i HTTPS
- Keep-Alive
- uwierzytelnianie
- buforowanie
- wszystkie metody
- przekierowania
- kompresję
- Lost update
- podlega testom jednostkowym.

%prep
%setup -q -n httplib2-%{version}
%patch0 -p1
%patch1 -p1

%build
%py_build

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/httplib2/cacerts.txt

%if %{with python3}
%py3_install
rm $RPM_BUILD_ROOT%{py3_sitescriptdir}/httplib2/cacerts.txt
%endif

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG
%{py_sitescriptdir}/httplib2
%{py_sitescriptdir}/httplib2-%{version}-py*.egg-info

%if %{with python3}
%files -n python3-httplib2
%defattr(644,root,root,755)
%doc python3/README CHANGELOG
%{py3_sitescriptdir}/httplib2
%{py3_sitescriptdir}/httplib2-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-httplib2.git;a=log;h=auto/th/python-httplib2-0.12.1-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c8b8447
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Mar 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 22322f8
- up to 0.12.1

* Fri Nov 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b9a87db
- up to 0.12.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> af2d1f4
- release 2 (by relup.sh)

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b43c14c
- up to 0.11.3

* Tue Feb 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5007a43
- up to 0.10.3; use system ca-bundle; patches from FC

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a0cad5
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Elan Ruusamäe <glen@delfi.ee> a0736ae
- rpm build macros for %{py,py3}_{build,install}

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 63e7c74
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> af4b375
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 670fcbe
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7918fbf
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f37be4f
- python 3.4
- release 2 (by relup.sh)

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> dd8b494
- up to 0.8
- package python3 version of the module
- package all files (eggs included)

* Fri Oct 05 2012 Jan Rękorajski <baggins@pld-linux.org> 6b7f512
- updated to 0.7.6

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> c8b970f
- up to 0.7.2

* Tue Jul 19 2011 marti <marti@pld-linux.org> 8ed7808
- up to 0.7.1
- updated sources cause project is now hosted in google code repo

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a725a8a
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dd54755
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 665cdac
- release 2

